Description

Attached patch fixes three issues in Croatian translation of names of months and days of week.

1: Error

Long form of day of week names (day_names in hr.yml) are in incorrect order, and thus wrongly displayed on project calendar.

Sunday is translated as Monday, Monday as Tuesday, and so on...

Short form is OK.

2: Inconsistency

Diacritical marks are omitted from translation of long form of months (month_names in hr.yml) for January and February, while used

everywhere else.

3: Inconsistency

Short form of month name (abbr_month_names) for October is four characters long, while others are shortened to three.

Although February seems too long as well, it should be left as it is; in Croatian lj is considered one letter written with two characters.

Yeah, sounds crazy, we have a lot of stuff like that. :o)

Proposed patch corrects the described issues, so I'm setting this to Resolved. Pardon me if I'm not supposed to. I'm new here.

Related issues:

Related to Redmine - Defect #14265: Calendar view for Croatian localization i... Closed

Associated revisions

Revision 11773 - 2013-05-03 02:49 - Toshi MARUYAMA

fix error and inconsistencies in Croatian translation (#13931)

Contributed by Jadranko Stjepanović.

History

#1 - 2013-05-03 00:59 - Toshi MARUYAMA

- Status changed from Resolved to New

#2 - 2013-05-03 01:01 - Toshi MARUYAMA

- Target version set to 2.4.0

#3 - 2013-05-03 02:46 - Toshi MARUYAMA

- Subject changed from Error and inconsistencies in Croatian trnslation to Error and inconsistencies in Croatian translation

#4 - 2013-05-03 05:15 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r11773, thanks.

#5 - 2013-06-12 14:18 - Filou Centrinov

- Related to Defect #14265: Calendar view for Croatian localization is not correct. Name of days are shifted one day in advance. added
